| sysmonpsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XSysMonPsu Struct Reference

The XSysmonPsu driver instance data. More...

## Data Fields
XSysMonPsu_Config | Config
| Device configuration. More...
u32 | IsReady
| Device is initialized and ready. More...
void * | CallBackRef
| Callback reference for event handler. More...
u32 | IsPlAccessibleByPs
| PL is accessible by PS. More...

## Detailed Description

The XSysmonPsu driver instance data.

The user is required to allocate a variable of this type for the SYSMON device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

void* XSysMonPsu::CallBackRef

Callback reference for event handler.

XSysMonPsu_Config XSysMonPsu::Config

Device configuration.

Referenced by SysMonPsuAMSExample(), XSysMonPsu_CfgInitialize(), XSysMonPsu_GetAdcClkDivisor(), XSysMonPsu_GetAdcData(), XSysMonPsu_GetAlarmEnables(), XSysMonPsu_GetAlarmThreshold(), XSysMonPsu_GetAvg(), XSysMonPsu_GetCalibCoefficient(), XSysMonPsu_GetExtenalMux(), XSysMonPsu_GetMinMaxMeasurement(), XSysMonPsu_GetMonitorStatus(), XSysMonPsu_GetSeqAcqTime(), XSysMonPsu_GetSeqAvgEnables(), XSysMonPsu_GetSeqChEnables(), XSysMonPsu_GetSeqInputMode(), XSysMonPsu_GetSequencerEvent(), XSysMonPsu_GetSequencerMode(), XSysMonPsu_GetStatus(), XSysMonPsu_InitInstance(), XSysMonPsu_IntrClear(), XSysMonPsu_IntrDisable(), XSysMonPsu_IntrEnable(), XSysMonPsu_IntrGetEnabled(), XSysMonPsu_IntrGetStatus(), XSysMonPsu_Reset(), XSysMonPsu_SetAdcClkDivisor(), XSysMonPsu_SetAlarmEnables(), XSysMonPsu_SetAlarmThreshold(), XSysMonPsu_SetAvg(), XSysMonPsu_SetExtenalMux(), XSysMonPsu_SetPSAutoConversion(), XSysMonPsu_SetSeqAcqTime(), XSysMonPsu_SetSeqAvgEnables(), XSysMonPsu_SetSeqChEnables(), XSysMonPsu_SetSeqInputMode(), XSysMonPsu_SetSequencerEvent(), XSysMonPsu_SetSequencerMode(), XSysMonPsu_SetSingleChParams(), XSysMonPsu_StartAdcConversion(), and XSysMonPsu_UpdateAdcClkDivisor().

u32 XSysMonPsu::IsPlAccessibleByPs

PL is accessible by PS.

Referenced by XSysMonPsu_CfgInitialize().

u32 XSysMonPsu::IsReady

Device is initialized and ready.

Referenced by XSysMonPsu_CfgInitialize(), XSysMonPsu_GetAdcClkDivisor(), XSysMonPsu_GetAdcData(), XSysMonPsu_GetAlarmEnables(), XSysMonPsu_GetAlarmThreshold(), XSysMonPsu_GetAvg(), XSysMonPsu_GetCalibCoefficient(), XSysMonPsu_GetExtenalMux(), XSysMonPsu_GetMinMaxMeasurement(), XSysMonPsu_GetMonitorStatus(), XSysMonPsu_GetSeqAcqTime(), XSysMonPsu_GetSeqAvgEnables(), XSysMonPsu_GetSeqChEnables(), XSysMonPsu_GetSeqInputMode(), XSysMonPsu_GetSequencerEvent(), XSysMonPsu_GetSequencerMode(), XSysMonPsu_GetStatus(), XSysMonPsu_InitInstance(), XSysMonPsu_IntrClear(), XSysMonPsu_IntrDisable(), XSysMonPsu_IntrEnable(), XSysMonPsu_IntrGetEnabled(), XSysMonPsu_IntrGetStatus(), XSysMonPsu_SelfTest(), XSysMonPsu_SetAdcClkDivisor(), XSysMonPsu_SetAlarmEnables(), XSysMonPsu_SetAlarmThreshold(), XSysMonPsu_SetAvg(), XSysMonPsu_SetExtenalMux(), XSysMonPsu_SetPSAutoConversion(), XSysMonPsu_SetSeqAcqTime(), XSysMonPsu_SetSeqAvgEnables(), XSysMonPsu_SetSeqChEnables(), XSysMonPsu_SetSeqInputMode(), XSysMonPsu_SetSequencerEvent(), XSysMonPsu_SetSequencerMode(), XSysMonPsu_SetSingleChParams(), and XSysMonPsu_StartAdcConversion().